Download it now!
Bug 82017 - FILESAVE: Close/Save confirmation dialog doesn't use CMD-D for don't save
Summary: FILESAVE: Close/Save confirmation dialog doesn't use CMD-D for don't save
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Mac OS X (All)
: low trivial
Assignee: Adolfo Jayme
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-01 16:53 UTC by shelshok
Modified: 2014-08-05 18:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot comparing LibreOffice save prompt to common Mac OS save prompt... (144.69 KB, image/png)
2014-08-01 16:53 UTC, shelshok
Details

Note You need to log in before you can comment on or make changes to this bug.
Description shelshok 2014-08-01 16:53:09 UTC
Created attachment 103823 [details]
Screenshot comparing LibreOffice save prompt to common Mac OS save prompt...

Problem description: 
On Mac OS, when closing documents, it is pretty standard to show a dialog where there is a "Don't Save" button, and there is normally a CMD-D keyboard shortcut for that. Pretty sure this was also the case in older versions of OpenOffice/LibreOffice, but now the prompt offers a "Close without Saving" button, which has the shortcut "w" (I assume the "w" is underlined in Windows/Linux versions, but it is not on Mac OS).

Steps to reproduce:
1. Open/Create document.
2. Make a change.
3. Attempt to close the document.

Current behavior:
Offers a "Close without Saving" button with a "w" as the keyboard shortcut.

Expected behavior:
Offer a "Don't Save" button with CMD-D as the shortcut.

              
Operating System: Mac OS X
Version: 4.1.0.4 release
Comment 1 Adolfo Jayme 2014-08-02 01:46:10 UTC
Thanks for your bug report.
Comment 2 tommy27 2014-08-02 09:05:58 UTC
+1 I like it. I hope it will be available in Windows as well
Comment 3 Adolfo Jayme 2014-08-02 17:05:25 UTC
I submitted a patch for review.

https://gerrit.libreoffice.org/#/c/10685/
Comment 4 Commit Notification 2014-08-05 13:35:00 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10abd657aacea884f520c97054625a94184c4aca

fdo#82017: Rename 'Close without saving' button to 'Don't Save'.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 shelshok 2014-08-05 14:32:37 UTC
It should be noted that while CMD-D is the standard shortcut for Don't Save on OS X, it is usually the N key on Windows.